Subject: bug#29889: 27.0.50; Slow visual selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Dec 2017 11:04:01 +0200

> From: Sujith <[email-masked]>
> Date: Fri, 29 Dec 2017 09:22:22 +0530
> 
> Visual selection of text becomes very slow and hogs the
> CPU in some cases.
> 
> For example, open the file lisp/progmodes/vhdl-mode.el in
> the emacs codebase. And then, to reproduce this issue:
> 
> * Scroll patiently to the bottom using C-v.
>   (this is essential, jumping to the bottom doesn't seem to bring
>   up this issue).
> * Set mark with C-SPC.
> * Go to the beginning with M-<.
> * Now move the cursor up and down.
> 
> The selection is jerky and CPU usage is very high.
> I have tried this with emacs -Q and can see the issue. I am using
> the master branch.

Confirmed.  Additional info:

This happens also on the emacs-26 branch and in the 26.0.90 pretest,
but not in Emacs 25.2.

It also isn't limited to *.el files: I see it with, e.g., xterm.c.

The painfully slow first step can be replaced with this much simpler
step:

  M-: (font-lock-fontify-region (point-min) (point-max)) RET

I guess some bisecting is in order.